PLSCOL0A(3)

NAME
plscol0a - Set 8-bit RGB values and PLFLT alpha transparency value for given cmap0 color index

SYNOPSIS
plscol0a(icol0, r, g, b, alpha)

DESCRIPTION

Set 8-bit RGB value and PLFLT alpha transparency value for given cmap0 (see the PLplot documentation) index. Overwrites the previous color value for the given index and, thus, does not result in any additional allocation of space for colors.

This function is used in example 30.

ARGUMENTS

icol0 (PLINT(3), input)
    Color index. Must be less than the maximum number of colors (which is set by default, by plscmap0n(3), or even by plscmap0(3)).

r (PLINT(3), input)
    Unsigned 8-bit integer (0-255) representing the degree of red in the color.

g (PLINT(3), input)
    Unsigned 8-bit integer (0-255) representing the degree of green in the color.

b (PLINT(3), input)
    Unsigned 8-bit integer (0-255) representing the degree of blue in the color.

alpha (PLFLT(3), input)
    Value of the alpha transparency in the range (0.0-1.0).

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.